#
# spec file for package vlgothic-fonts
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           vlgothic-fonts
Version:        20140801
Release:        bp153.1.12
Summary:        VL-Gothic TrueType font family
License:        BSD-3-Clause and SUSE-mplus
Group:          System/X11/Fonts
Url:            http://dicey.org/vlgothic/
Source0:        VLGothic-%{version}.tar.xz
BuildRequires:  fontpackages-devel
BuildRequires:  xz
Provides:       scalable-font-ja
Provides:       vlgothic = %{version}
Provides:       locale(ja)
Obsoletes:      vlgothic <= 20110722
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
This package provides "VLGothic" Japanese TrueType fonts which are
based on the M+ fonts and the Sazanami fonts.

%prep
%setup -q -n VLGothic

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}
for i in *.ttf
do
    install -m 644 $i %{buildroot}%{_ttfontsdir}
done

%reconfigure_fonts_scriptlets -c

%files
%defattr(-,root,root)
%doc README* LICENSE* Changelog*
%{_ttfontsdir}

%changelog
* Thu Sep 17 2015 pgajdos@suse.com
- fix build for sle11
* Mon Sep  1 2014 ftake@geeko.jp
- updated to version 20140801
  * new glyphs including Unicode emoji
  * update M+ part to the latest CVS HEAD
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Fri Jun  1 2012 ftake@geeko.jp
- updated to version 20120325
  * new glyphs
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Mon Apr  2 2012 cfarrell@suse.com
- license update: BSD-3-Clause and SUSE-mplus
  See the LICENSE file
* Wed Dec 21 2011 tiwai@suse.de
- Renamed vlgothic -> vlgothic-fonts according to
  openSUSE packaging guidelines and FATE#313035
  Adjusted Obsoletes and Provides accordingly
- Add prereq macro
* Wed Sep 28 2011 ftake@geeko.jp
- updated to version 20110722
  * imported a lot of glyphs from M+ fonts
  * fixed glyphs and updated font metrics
* Tue Jul 27 2010 tiwai@suse.de
- updated to version 20100416
  a few glyphs fixes
* Wed Mar 31 2010 tiwai@suse.de
- updated to version 20100126
  Lots of glyph fixes; see Changelog file for details
- removed unneeded dependency on xorg-x11-devel
* Tue Jul 21 2009 tiwai@suse.de
- updated to version 20090710
  * update M+1C,IM part of VL-PGothic/VL-Gothic
  * fix kanji glyphs of VL-PGothic/VL-Gothic
* Mon Jan 26 2009 mfabian@suse.de
- copy Takashi Iwai’s package to Factory.
* Fri Jan 16 2009 tiwai@suse.de  
- updated to version 20090108
* Thu Nov 27 2008 tiwai@suse.de  
- own fontdir itself (11.1 caused a build error)
* Fri Jun 27 2008 tiwai@suse.de  
- initial version: 20080624
